{
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "flint",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:item_model": "barrier",
                "minecraft:item_name": "Item Guard Modifier",
                "minecraft:enchantment_glint_override": true,
                "minecraft:lore": [
                  {
                    "text": "Adds item guard to item in opposite hand",
                    "color": "blue",
                    "italic": false
                  }
                ],
                "minecraft:rarity": "epic",
                "minecraft:consumable": {
                  "consume_seconds": 2,
                  "animation": "bow",
                  "sound": "minecraft:block.amethyst_block.resonate",
                  "has_consume_particles": false,
                  "on_consume_effects": [
                    {
                      "type": "minecraft:play_sound",
                      "sound": "minecraft:block.amethyst_block.chime"
                    }
                  ]
                },
                "minecraft:food": {
                  "nutrition": 0,
                  "saturation": 0,
                  "can_always_eat": true
                },
                "minecraft:custom_data": {
                  "guarditem": "tag",
                  "nodupe": "tag"
                },
                "minecraft:max_stack_size": 1
              }
            }
          ]
        }
      ]
    }
  ]
}